mythread.h File Reference

Some threading related helper macros and functions. More...

`#include "sysdefs.h"`
`#include <signal.h>`

## Macros

#define | mythread_once(func)

## Functions

static void | mythread_sigmask (int how, const sigset_t *restrict set, sigset_t *restrict oset)

## Detailed Description

Some threading related helper macros and functions.

## Macro Definition Documentation

## mythread_once

#define mythread_once | ( |  | func | ) |

Value:
do { \
static bool once_ = false; \
if (!once_) { \
func(); \
once_ = true; \
} \
} while (0)